DefaultDisplayManager (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.backend

## Class DefaultDisplayManager

- java.lang.Object
- - hlt.language.design.backend.DefaultDisplayManager

- All Implemented Interfaces:
    DisplayDeviceManager, DisplayFormManager, DisplayManager

      public class DefaultDisplayManager
      extends java.lang.Object
      implements DisplayManager

  This class defines a default display manager that consists of a default display device manager and a default display form manager.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDisplayManager()`
    `DefaultDisplayManager(DisplayDeviceManager device)`
    `DefaultDisplayManager(DisplayDeviceManager device, DisplayFormManager formatter)`
    `DefaultDisplayManager(DisplayFormManager formatter)`
    `DefaultDisplayManager(DisplayFormManager formatter, DisplayDeviceManager device)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DisplayFormManager` | `clearTags()`
    `void` | `close()`
    `DisplayDeviceManager` | `displayDeviceManager()`
    `java.lang.String` | `displayForm(double x)`
    `java.lang.String` | `displayForm(int n, Type type)`
    `java.lang.String` | `displayForm(java.lang.Object o, Type type)`
    `DisplayFormManager` | `displayFormManager()`
    `java.lang.String` | `displayVoid()`
    `void` | `flush()`
    `java.io.PrintStream` | `getOutputStream()`
    `void` | `print(java.lang.String string)`
    `void` | `println()`
    `void` | `println(java.lang.String string)`
    `java.lang.String` | `quotedDisplayForm(double x)`
    `java.lang.String` | `quotedDisplayForm(int n, Type type)`
    `java.lang.String` | `quotedDisplayForm(java.lang.Object o, Type type)`
    `DisplayManager` | `setDisplayDeviceManager(DisplayDeviceManager device)`
    `DisplayManager` | `setDisplayFormManager(DisplayFormManager formatter)`
    `void` | `setOutputStream(java.io.PrintStream stream)`
    `java.lang.String` | `typedDisplayForm(double x)`
    `java.lang.String` | `typedDisplayForm(int n, Type type)`
    `java.lang.String` | `typedDisplayForm(java.lang.Object o, Type type)`
    `java.lang.String` | `unquotedDisplayForm(double x)`
    `java.lang.String` | `unquotedDisplayForm(int n, Type type)`
    `java.lang.String` | `unquotedDisplayForm(java.lang.Object o, Type type)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDisplayManager

          public DefaultDisplayManager()

    - #### DefaultDisplayManager

          public DefaultDisplayManager(DisplayDeviceManager device)

    - #### DefaultDisplayManager

          public DefaultDisplayManager(DisplayFormManager formatter)

    - #### DefaultDisplayManager

          public DefaultDisplayManager(DisplayDeviceManager device,
                               DisplayFormManager formatter)

    - #### DefaultDisplayManager

          public DefaultDisplayManager(DisplayFormManager formatter,
                               DisplayDeviceManager device)

  - ### Method Detail

    - #### displayDeviceManager

          public final DisplayDeviceManager displayDeviceManager()

      Specified by:
        `displayDeviceManager` in interface `DisplayManager`

    - #### displayFormManager

          public final DisplayFormManager displayFormManager()

      Specified by:
        `displayFormManager` in interface `DisplayManager`

    - #### setDisplayDeviceManager

          public final DisplayManager setDisplayDeviceManager(DisplayDeviceManager device)

      Specified by:
        `setDisplayDeviceManager` in interface `DisplayManager`

    - #### setDisplayFormManager

          public final DisplayManager setDisplayFormManager(DisplayFormManager formatter)

      Specified by:
        `setDisplayFormManager` in interface `DisplayManager`

    - #### setOutputStream

          public void setOutputStream(java.io.PrintStream stream)

      Specified by:
        `setOutputStream` in interface `DisplayDeviceManager`
      Specified by:
        `setOutputStream` in interface `DisplayManager`

    - #### getOutputStream

          public java.io.PrintStream getOutputStream()

      Specified by:
        `getOutputStream` in interface `DisplayDeviceManager`
      Specified by:
        `getOutputStream` in interface `DisplayManager`

    - #### close

          public void close()

      Specified by:
        `close` in interface `DisplayDeviceManager`

    - #### flush

          public void flush()
                     throws java.io.IOException

      Specified by:
        `flush` in interface `DisplayDeviceManager`
      Throws:
        `java.io.IOException`

    - #### println

          public void println()

      Specified by:
        `println` in interface `DisplayDeviceManager`

    - #### print

          public void print(java.lang.String string)

      Specified by:
        `print` in interface `DisplayDeviceManager`

    - #### println

          public void println(java.lang.String string)

      Specified by:
        `println` in interface `DisplayDeviceManager`

    - #### displayVoid

          public java.lang.String displayVoid()

      Specified by:
        `displayVoid` in interface `DisplayFormManager`

    - #### typedDisplayForm

          public java.lang.String typedDisplayForm(int n,
                                          Type type)

      Specified by:
        `typedDisplayForm` in interface `DisplayFormManager`

    - #### typedDisplayForm

          public java.lang.String typedDisplayForm(double x)

      Specified by:
        `typedDisplayForm` in interface `DisplayFormManager`

    - #### typedDisplayForm

          public java.lang.String typedDisplayForm(java.lang.Object o,
                                          Type type)

      Specified by:
        `typedDisplayForm` in interface `DisplayFormManager`

    - #### quotedDisplayForm

          public java.lang.String quotedDisplayForm(int n,
                                           Type type)

      Specified by:
        `quotedDisplayForm` in interface `DisplayFormManager`

    - #### quotedDisplayForm

          public java.lang.String quotedDisplayForm(double x)

      Specified by:
        `quotedDisplayForm` in interface `DisplayFormManager`

    - #### quotedDisplayForm

          public java.lang.String quotedDisplayForm(java.lang.Object o,
                                           Type type)

      Specified by:
        `quotedDisplayForm` in interface `DisplayFormManager`

    - #### unquotedDisplayForm

          public java.lang.String unquotedDisplayForm(int n,
                                             Type type)

      Specified by:
        `unquotedDisplayForm` in interface `DisplayFormManager`

    - #### unquotedDisplayForm

          public java.lang.String unquotedDisplayForm(double x)

      Specified by:
        `unquotedDisplayForm` in interface `DisplayFormManager`

    - #### unquotedDisplayForm

          public java.lang.String unquotedDisplayForm(java.lang.Object o,
                                             Type type)

      Specified by:
        `unquotedDisplayForm` in interface `DisplayFormManager`

    - #### displayForm

          public java.lang.String displayForm(int n,
                                     Type type)

      Specified by:
        `displayForm` in interface `DisplayManager`

    - #### displayForm

          public java.lang.String displayForm(double x)

      Specified by:
        `displayForm` in interface `DisplayManager`

    - #### displayForm

          public java.lang.String displayForm(java.lang.Object o,
                                     Type type)

      Specified by:
        `displayForm` in interface `DisplayManager`

    - #### clearTags

          public DisplayFormManager clearTags()

      Specified by:
        `clearTags` in interface `DisplayFormManager`